package com.tencent.mm.plugin.websearch.api;

import android.os.Parcel;
import android.os.Parcelable;
import android.os.Parcelable.Creator;
import com.tencent.matrix.trace.core.AppMethodBeat;
import java.util.Objects;

public class WidgetData$Style implements Parcelable {
    public static final Creator<WidgetData$Style> CREATOR = new 1();
    public boolean cNN = true;
    public int height;
    public String hfo;
    public int offsetX;
    public int offsetY;
    public double ubH = 65.0d;
    public int ubI;
    public int width;

    public String toString() {
        AppMethodBeat.i(124273);
        String obj = super.toString();
        AppMethodBeat.o(124273);
        return obj;
    }

    public int describeContents() {
        return 0;
    }

    public void writeToParcel(Parcel parcel, int i) {
        AppMethodBeat.i(124274);
        parcel.writeDouble(this.ubH);
        parcel.writeInt(this.ubI);
        parcel.writeInt(this.offsetX);
        parcel.writeInt(this.offsetY);
        parcel.writeInt(this.height);
        parcel.writeString(this.hfo);
        parcel.writeInt(this.width);
        parcel.writeByte(this.cNN ? (byte) 1 : (byte) 0);
        AppMethodBeat.o(124274);
    }

    protected WidgetData$Style(Parcel parcel) {
        boolean z = true;
        AppMethodBeat.i(124275);
        this.ubH = parcel.readDouble();
        this.ubI = parcel.readInt();
        this.offsetX = parcel.readInt();
        this.offsetY = parcel.readInt();
        this.height = parcel.readInt();
        this.hfo = parcel.readString();
        this.width = parcel.readInt();
        if (parcel.readByte() == (byte) 0) {
            z = false;
        }
        this.cNN = z;
        AppMethodBeat.o(124275);
    }

    public boolean equals(Object obj) {
        AppMethodBeat.i(124276);
        if (this == obj) {
            AppMethodBeat.o(124276);
            return true;
        } else if (obj instanceof WidgetData$Style) {
            WidgetData$Style widgetData$Style = (WidgetData$Style) obj;
            if (Double.compare(widgetData$Style.ubH, this.ubH) == 0 && this.ubI == widgetData$Style.ubI && this.offsetX == widgetData$Style.offsetX && this.offsetY == widgetData$Style.offsetY && this.height == widgetData$Style.height && this.width == widgetData$Style.width && this.cNN == widgetData$Style.cNN && Objects.equals(this.hfo, widgetData$Style.hfo)) {
                AppMethodBeat.o(124276);
                return true;
            }
            AppMethodBeat.o(124276);
            return false;
        } else {
            AppMethodBeat.o(124276);
            return false;
        }
    }

    public int hashCode() {
        AppMethodBeat.i(124277);
        int hash = Objects.hash(new Object[]{Double.valueOf(this.ubH), Integer.valueOf(this.ubI), Integer.valueOf(this.offsetX), Integer.valueOf(this.offsetY), Integer.valueOf(this.height), this.hfo, Integer.valueOf(this.width), Boolean.valueOf(this.cNN)});
        AppMethodBeat.o(124277);
        return hash;
    }

    static {
        AppMethodBeat.i(124278);
        AppMethodBeat.o(124278);
    }
}
